# Roll back by creating a deployment of the prior release

`POST /api/v1/projects/{project}/deployments/{deployment}/rollback`

Operation ID: `rollbackDeployment`  
Effect: `write`  
Confirmation: `conditional`

## Authorization

- mode: `privilege`
- privilege: `ACTIVATE_DEPLOYMENT`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `project` | path | true | `{"type":"string"}` |  |
| `deployment` | path | true | `{"type":"string"}` |  |
| `Idempotency-Key` | header | true | `{"maxLength":200,"minLength":1,"type":"string"}` |  |

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `202` | `application/json` (DeploymentResponse) | The request has been accepted for processing, but processing has not yet completed. |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
